Create Cart

Creates a *Cart*. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includelist of enumsOptional
To return product options add one of the following include: `lineItems.physicalItems.options`: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return. `lineItems.digitalItems.options`: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return. `lineItems.digitalItems.options,lineItems.physicalItems.options`: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.
Allowed values:

Request

This endpoint expects an object.
objectRequired
OR
objectRequired
OR
objectRequired

Response

Post Carts Response
idstringOptionalformat: "UUID"
Cart ID, provided after creating a cart with a POST.
customerIdintegerOptional
ID of the customer to which the cart belongs.
emailstringOptional
The cart's email. This is the same email that is used in the billing address
currencyobjectOptional
This will always be the same between cart and checkout.
isTaxIncludedbooleanOptional
Whether this item is taxable.
baseAmountdoubleOptional

Cost of cart’s contents, before applying discounts.

discountAmountfloatOptional

Order based discounted amount only - Coupon discounts and product based discounts are excluded.

cartAmountdoubleOptional

Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).

couponslist of objectsOptional
discountslist of objectsOptional
lineItemsobjectOptional
createdTimestringOptionalformat: "ISO-8601"
Time when the cart was created.
updatedTimestringOptionalformat: "ISO-8601"
Time when the cart was last updated.
localestringOptional
Locale of the cart.
versionintegerOptional
The current version of the cart increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.